Holger's Java API

## com.antelmann.calendar
Interface CalendarModel

All Known Implementing Classes:
  AbstractCalendarModel, DefaultCalendarModel

    public interface CalendarModel

a model that provides data based on given dates

Since:
  21. Mai 2008, 20:55
Author:
  Holger Antelmann
See Also:
  `CalendarTableModel`

Method Summary
`void` `addCalendarModelListener(CalendarModelListener listener)`
`Object` `getValueFor(Date date)`
`void` `removeCalendarModelListener(CalendarModelListener listener)`

Method Detail

### getValueFor

    Object getValueFor(Date date)

### addCalendarModelListener

    void addCalendarModelListener(CalendarModelListener listener)

### removeCalendarModelListener

    void removeCalendarModelListener(CalendarModelListener listener)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads